import { Injectable } from '@angular/core';
import { timeout } from 'rxjs-compat/operator/timeout';
import { HttpService } from 'src/app/common-ui';

@Injectable({
  providedIn: 'root'
})
export class NoticeService {

  constructor(private httpService: HttpService) { }

  sendMailTest(params: any) {
    const url = '/notice/inner/v1/plugin/plugin_test';
    return this.httpService.post(url, {}, params);
  }

  saveMailConfig(params: any) {
    const url = '/notice/inner/v1/plugin/plugin_update';
    return this.httpService.put(url, {}, params);
  }

  queryConfig() {
    const url = '/notice/inner/v1/plugin/plugin_list';
    return this.httpService.get(url, {});
  }

  swicthBtn(params: any) {
    const url = '/notice/inner/v1/plugin/plugin_update_status';
    return this.httpService.put(url, {}, params);
  }

  getQueryRange() {
    const url = '/isoc/api/v1/isoc_sys_config/get_query_range';
    return this.httpService.get(url,{});
  }

  getUebaResult(params:any) {
    const url = '/UebaMetricsAnalysis/ueba_metrics/get_summary_data_list';
    return this.httpService.get(url, params,30000);
  }
}
